Not able to join conference room got rejoin window, please check attached screenshot

CONSOLE LOGS

asdsad:62 (TIME) index.html loaded: 1693.7000000001863
Logger.js:154 2022-06-25T03:03:49.903Z [modules/browser/BrowserCapabilities.js] <new >: This appears to be chrome, ver: 102.0.0.0
LocalStatsCollector.js:22 The AudioContext was not allowed to start. It must be resumed (or created) after a user gesture on the page. Autoplay policy in Chrome - Chrome Developers
505 @ LocalStatsCollector.js:22
webpack_require @ bootstrap:19
4449 @ index.js:3
webpack_require @ bootstrap:19
(anonymous) @ startup:4
(anonymous) @ startup:4
(anonymous) @ universalModuleDefinition:9
(anonymous) @ universalModuleDefinition:1
index.js:154 2022-06-25T03:03:51.068Z [features/base/redux] <Object.persistState>: redux state persisted. b680ec73f8a29c357971e9f1341b84ee → 33bac4ee98b9dd8dd318f109d3a2aca4
Logger.js:154 2022-06-25T03:03:51.128Z [FeatureFlags] <Object.init>: Source name signaling: false, Send multiple video streams: false, SSRC rewriting supported: false, uses Unified plan: true
Logger.js:154 2022-06-25T03:03:51.130Z [modules/connectivity/NetworkInfo.js] <Bn.updateNetworkInfo>: updateNetworkInfo {isOnline: true}
Logger.js:154 2022-06-25T03:03:51.133Z [modules/statistics/AnalyticsAdapter.js] <Object.dispose>: Disposing of analytics adapter.
r @ Logger.js:154
dispose @ AnalyticsAdapter.js:116

Looks like Jicofo is struggling to connect. How did you install? What guide did you use? What’s your environment like?

I’m using ubuntu 20 instance of digital ocean. Everything was working fine after installation, this issue occurs after server restart. For installation i followed this guide

Jicofo logs

Did you restart Jicofo as well?

yes, even i restart nginx, prosody and jvb with these command

sudo systemctl restart prosody
sudo systemctl restart jicofo
sudo systemctl restart jitsi-videobridge2

but still i’m unable to get the issue.

Here is JVB logs

Can you post the full jicofo log? No screenshot, paste the entire log or attach as file.

Jicofo 2022-06-25 03:02:24.346 WARNING: [1] org.glassfish.jersey.internal.inject.Providers.checkProviderRuntime: A provider org.jitsi.rest.Version registered in SERVER runtime does not implement any provider interfaces applicable in the SERVER runtime. Due to constraint configuration problems the provider org.jitsi.rest.Version will be ignored.
Jicofo 2022-06-25 03:02:24.843 INFO: [1] org.eclipse.jetty.server.handler.ContextHandler.doStart: Started o.e.j.s.ServletContextHandler@38d08cb5{/,null,AVAILABLE}
Jicofo 2022-06-25 03:02:24.857 INFO: [1] org.eclipse.jetty.server.AbstractConnector.doStart: Started ServerConnector@29c2c826{HTTP/1.1, (http/1.1)}{0.0.0.0:8888}
Jicofo 2022-06-25 03:02:24.875 INFO: [1] org.eclipse.jetty.server.Server.doStart: Started Server@a20b94b{STARTING}[11.0.9,sto=0] @5187ms
Jicofo 2022-06-25 03:49:36.553 INFO: [51] [type=bridge brewery=jvbbrewery] BaseBrewery.removeInstance#353: Removed brewery instance: jvbbrewery@internal.auth.meet.dev.weconnect.chat/d1bb1040-1fa6-4f00-8563-ab12819095ec
Jicofo 2022-06-25 03:49:36.554 INFO: [51] BridgeSelector.removeJvbAddress#114: Removing JVB: jvbbrewery@internal.auth.meet.dev.weconnect.chat/d1bb1040-1fa6-4f00-8563-ab12819095ec

Jicofo 2022-06-25 03:49:36.555 INFO: [33] JvbDoctor.bridgeRemoved#103: Stopping health-check task for: Bridge[jid=jvbbrewery@internal.auth.meet.dev.weconnect.chat/d1bb1040-1fa6-4f00-8563-ab12819095ec, version=2.2.9-g8cded16e, relayId=null, region=null, stress=0.00]
Jicofo 2022-06-25 03:49:43.048 INFO: [54] [type=bridge brewery=jvbbrewery] BaseBrewery.addInstance#341: Added brewery instance: jvbbrewery@internal.auth.meet.dev.weconnect.chat/d1bb1040-1fa6-4f00-8563-ab12819095ec
Jicofo 2022-06-25 03:49:43.049 INFO: [54] BridgeSelector.addJvbAddress#102: Added new videobridge:

Bridge[jid=jvbbrewery@internal.auth.meet.dev.weconnect.chat/d1bb1040-1fa6-4f00-8563-ab12819095ec, version=2.2.9-g8cded16e, relayId=null, region=null, stress=0.00]
Jicofo 2022-06-25 03:49:43.049 INFO: [33] JvbDoctor.bridgeAdded#130: Scheduled health-check task for: Bridge[jid=jvbbrewery@internal.auth.meet.dev.weconnect.chat/d1bb1040-1fa6-4f00-8563-ab12819095ec, version=2.2.9-g8cded16e, relayId=null, region=null, stress=0.00]

These are all JICOFO logs, the site not allowed me to attach file due to new user and not allow me to share content which has more than two links that’s why i sent the logs in three parts

If you formatted the logs as a code block, it would not have converted the URIs to links and you would not have hit the two-link limit. It would probably be easier to read too.

Not_able_to_join_conference_room_got_rejoin_window__please_check_attached_screenshot_-Jitsi_Community_Forum-_developers___users

1 Like

Can you share your jicofo.conf? Path is /etc/jitsi/jicofo/jicofo.conf.

Hi @Freddie , Posting on behalf of Manak. Please find below the output of /etc/jitsi/jicofo/jicofo.conf

:/etc/jitsi/jicofo$ cat jicofo.conf 
# Jicofo HOCON configuration. See reference.conf in /usr/share/jicofo/jicofo.jar for
#available options, syntax, and default values.
jicofo {
  xmpp: {
    client: {
      client-proxy: focus.meet.dev.weconnect.chat
    }
    trusted-domains: [ "recorder.meet.dev.weconnect.chat" ]
  }
  bridge: {
    brewery-jid: "JvbBrewery@internal.auth.meet.dev.weconnect.chat"
  }
}

Is Java running? Is secure domain enabled? Did you customize anything to the configs, escpecially in /etc/prosody/conf.avail/ ?

I reinstall everything now got error in jvb logs

Error: A JNI error has occurred, please check your installation and try again
Exception in thread “main” java.lang.UnsupportedClassVersionError: org/jitsi/videobridge/MainKt has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:756)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:473)
at java.net.URLClassLoader.access$100(URLClassLoader.java:74)
at java.net.URLClassLoader$1.run(URLClassLoader.java:369)
at java.net.URLClassLoader$1.run(URLClassLoader.java:363)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:362)
at java.lang.ClassLoader.loadClass(ClassLoader.java:418)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:352)
at java.lang.ClassLoader.loadClass(ClassLoader.java:351)
at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:601)
Error: A JNI error has occurred, please check your installation and try again
Exception in thread “main” java.lang.UnsupportedClassVersionError: org/jitsi/videobridge/MainKt has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0

Update to using java 11.

Yes updated, rejoin issue resolved
RTP).
JVB 2022-06-30 11:30:54.756 INFO: [84] [confId=d5fcb6f0d6c6c94e conf_name=yogesh@conference.meet.dev.weconnect.chat epId=25b15581 stats_id=Daija-JUV local_ufrag=2h191g6q61l72 ufrag=2h191g6q61l72] ConnectivityCheckClient.startCheckForPair#350: Could not start connectivity check: No socket found for 10.0.0.175:10000/udp->192.168.29.31:57716/udp
JVB 2022-06-30 11:30:54.998 WARNING: [35] [confId=d5fcb6f0d6c6c94e conf_name=yogesh@conference.meet.dev.weconnect.chat epId=a5b53948 stats_id=Angelo-ybg] Endpoint.acceptWebSocket#694: Incoming web socket request with an invalid password. Expected: 7k5trtofnht21ji7gd82rienf6 received 23r53s1f79jchd2gnfbm68tb3r
JVB 2022-06-30 11:30:56.947 WARNING: [38] [confId=d5fcb6f0d6c6c94e conf_name=yogesh@conference.meet.dev.weconnect.chat epId=a5b53948 stats_id=Angelo-ybg] Endpoint.acceptWebSocket#694: Incoming web socket request with an invalid password. Expected: 7k5trtofnht21ji7gd82rienf6 received 23r53s1f79jchd2gnfbm68tb3r

Now not able to receive or sent video